<div id="login">
    <div id="loginCenter">
        <dx-load-panel [(visible)]="isLoadPanelVisible"> </dx-load-panel>
        <div class="txtimg">

            <p class="loginTitle">Web
                <br>Schedule
                <br>Transportation</p>
            <h2 class="loginTitleMob">Web Schedule Transportation</h2>

        </div>
        <div id="form">
            <dx-text-box #txtUser class="loginInput" placeholder='user name' [(value)]='userName' (onKeyPress)="onKeyPress($event, 'us')">
                <dx-validator>
                    <dxi-validation-rule type="required" message="User name is required"></dxi-validation-rule>
                </dx-validator>
            </dx-text-box>

            <dx-text-box #txtPassword class="loginInput" placeholder='password' [(value)]='password' mode='password' (onKeyPress)="onKeyPress($event)">
                <dx-validator>
                    <dxi-validation-rule type="required" message="Password is required"></dxi-validation-rule>
                </dx-validator>
            </dx-text-box>
            <dx-button id='btLogin' text='sign in' type='success' (onClick)='loginClick($event)'></dx-button>
        </div>
    </div>
</div>